Help......how to stop it

Discussion in 'AutoCAD' started by Adesu, Nov 3, 2004.

  1. Adesu

    Adesu Guest

    ; mmc is stand for making multi circle
    ; Design by Ade Suharna <>
    ; 3 november 2004
    ; Program no.136/11/2004
    ; Edit by
    (defun c:mmc ()
    (setq cen (getpoint "\nCLICK LOCATION FOR OBJECT: "))
    (setq rad (getdist "\nENTER RADIUS: "))
    (command "_circle" cen rad "")
    (while
    (setq cen (polar cen 0 rad))
    (setq rad (1+ rad))
    (command "_circle" cen rad "")
    (princ)
    )
    )
     
    Adesu, Nov 3, 2004
    #1
  2. Adesu

    Jimmy D Guest

    Hi Adesu,

    What are you trying to do with this routine?
    How many circles should be drawn?
    You could add a condition to the while (while (< COUNT NUMBER)...


    Jimmy
     
    Jimmy D, Nov 3, 2004
    #2
  3. Adesu

    Adesu Guest

    Hi Jimmy,thanks a lot
     
    Adesu, Nov 3, 2004
    #3
  4. Adesu

    Douglas Barr Guest

    You could also place a limit on the size of the final circle.
     
    Douglas Barr, Nov 3, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.